@echo off

echo Installing Platform I/O Drivers...

echo =============================================
echo installing GPIO driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\GPIO\iagpioe.inf

echo =============================================
echo installing I2C driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\I2C\iai2ce.inf


echo =============================================
echo installing UART driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\UART\iauarte.inf

echo =============================================
echo installing SPI driver
echo =============================================
pnputil -i -a ..\Installer\PlatformInstaller\Drivers\SPI\iaspie.inf

echo Platform I/O Drivers installation complete!


